// SpecPlot2D class for Plot2D lab

// (c) J. Dean Brock, Rebecca F. Bruce, 2001, 2004
// Department of Computer Science
// University of North Carolina at Asheville

package edu.unca.cs.csci201.LabAids ;

/**
 * Interface for the Plot2D lab.  Functions to be
 * plotted must follow this interface.
 */
public interface SpecPlot2D {
    /**
     * This is the function to be plotted.  Ideally,
     * the function should map the range [0,1]
     * to the domain [0,1].
     * @param x Input point to plot
     * @return Output value to plot
     */
    public double TestFunc(double x) ;	
}
